| descseq

## Function

Alter the name or description of a sequence

## Description

Most sequence formats allow, at the very minimum, a name for the sequence and some comments to be stored in the sequence file.

Rather than using an editor to alter the name or the comments, descseq allows you to simply change them and write out a new file with the changes in and the sequence left unaltered.

The default action is to replace the existing name or description with your new one, but by using the qualifier '-append' what you enter is appended to the existing name or description.

Note that if you append to a description, no space is inserted by default bewteen the existing description and your appended text. You have to put in a space yourself if you require one.

## Usage

Here is a sample session with descseq

Set the name of a sequence to "myclone23"

    % descseq -seq dna.text -out clone23.seq -name "myclone23"
    Alter the name or description of a sequence.

Go to the input files for this example
Go to the output files for this example

Example 2

Set the description of a sequence to "This is my clone number 244"

    % descseq -seq dna.text -out xy24.seq -desc "This is my clone number 244"
    Alter the name or description of a sequence.

Go to the output files for this example

Example 3

Append some text to the description of a sequence

    % descseq -seq dna.text -out est4.seq -desc " (submitted)" -append
    Alter the name or description of a sequence.

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Sequence USA
      [-outseq]            seqout     Output sequence USA

       Additional (Optional) qualifiers:
       -name               string     Name of the sequence
       -description        string     Description of the sequence

       Advanced (Unprompted) qualifiers:
       -append             boolean    This allows you to append the name or
                                      description you have given on to the end of
                                      the existing name or description of the
                                      sequence.

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1             integer    Start of the sequence to be used
       -send1               integer    End of the sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-outseq" associated qualifiers
       -osformat2           string     Output seq format
       -osextension2        string     File name extension
       -osname2             string     Base file name
       -osdirectory2        string     Output directory
       -osdbname2           string     Database name to add
       -ossingle2           boolean    Separate file for each entry
       -oufo2               string     UFO features
       -offormat2           string     Features format
       -ofname2             string     Features file name
       -ofdirectory2        string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
[-outseq] (Parameter 2) | Output sequence USA | Writeable sequence | <sequence>.format
Additional (Optional) qualifiers | Allowed values | Default
-name | Name of the sequence | Any string is accepted | An empty string is accepted
-description | Description of the sequence | Any string is accepted | An empty string is accepted
Advanced (Unprompted) qualifiers | Allowed values | Default
-append | This allows you to append the name or description you have given on to the end of the existing name or description of the sequence. | Boolean value Yes/No | No

## Input file format

descseq reads a normal sequence USA.

### Input files for usage example

### File: dna.text

    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTAC
    GTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT

## Output file format

descseq writes the sequence file with a changed name or description.

### Output files for usage example

### File: clone23.seq

    >myclone23
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT

### Output files for usage example 2

### File: xy24.seq

    >EMBOSS_001 This is my clone number 244
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT

### Output files for usage example 3

### File: est4.seq

    >EMBOSS_001  (submitted)
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT
    ACGTACGTACGTACGTACGTACGTACGTACGTACGTACGT

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None noted.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
codcopy | Reads and writes a codon usage table
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Write a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Exclude a set of sequences and write out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split a sequence into (overlapping) smaller sequences
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None